@extends('layouts.panel')

@section('page', 'Profile')

@section('navigation')
                <li class="active treeview menu-open">
                    <a>
                        <i class="fas fa-user"></i> <span>Account</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="active"><a><i class="fas fa-id-badge"></i> Profile</a></li>
                        <li><a href="{{ route('panel.change') }}"><i class="fas fa-clipboard"></i> Change</a></li>
                        <li class="hidden-xs"><a href="{{ route('panel.security') }}"><i class="fas fa-lock"></i> Security</a></li>
                    </ul>
                </li>
                <li class="header">NAVIGATION</li>
                <li>
                    <a href="{{ route('panel.home') }}"><i class="fas fa-tachometer-alt"></i> <span>Dashboard</span></a>
                </li>
                @canany(['project_see', 'status_see'])
                <li class="treeview">
                    <a>
                        <i class="fas fa-list"></i> <span>Projects</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        @can('project_see')<li><a href="{{ route('panel.project') }}"><i class="fas fa-clipboard"></i> Project</a></li>@endcan
                        @can('order_see')<li><a href="{{ route('panel.order') }}"><i class="fas fa-file-invoice"></i> Order</a></li>@endcan
                        @can('status_see')<li><a href="{{ route('panel.status') }}"><i class="fas fa-clipboard"></i> Status</a></li>@endcan
                    </ul>
                </li>
                @endcanany
                @canany(['roles_see', 'user_see'])
                <li class="treeview">
                    <a>
                        <i class="fas fa-user"></i> <span>Management</span>
                        <span class="pull-right-container"><i class="fa fa-angle-left pull-right"></i></span>
                    </a>
                    <ul class="treeview-menu">
                        @can('user_see')<li><a href="{{ route('panel.ums') }}"><i class="fas fa-id-badge"></i> Users</a></li>@endcan
                        @can('roles_see')<li><a href="{{ route('panel.role') }}"><i class="fas fa-lock"></i> Roles</a></li>@endcan
                    </ul>
                </li>
                @endcanany
@endsection

@section('content')
            <div class="col-xs-12 col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{ Auth::user()->fullname() }}</h3>
                        <p style="float: right">{{ Auth::user()->created_at->format('d-m-Y') }}</p>
                    </div>
                    <div class="box-body">
                        <p><strong>First Name:</strong> {{ Auth::user()->firstname }}
                        <br><strong>Sur Name:</strong> {{ Auth::user()->surname }}</p>
                        <p><strong>Email:</strong> {{ Auth::user()->email }}</p>
                        <p><strong>2FA:</strong> <span class="role" style="background-color: {{ !is_null(Auth::user()->google2fa_secret) ? "#2ecc71" : "#e74c3c" }}">{{ !is_null(Auth::user()->google2fa_secret) ? "Enabled" : "Disabled" }}</span></p>
                    </div>
                </div>
            </div>
@endsection
